@echo off
::
::  Copyright (c) 2009, SAS Institute Inc. 
::  Unpublished - All Rights Reserved 
:: 
:: 
::  readSASLogs.bat - Usage measurement read SAS logs script, executes runArtifactAnalyzer.sas
::      Generate the artifacts SAS library, used by runSASReports.bat
::

:: Source Environment Variables
call ".\setEnvLogs.bat"

cd "%sasUsageDir%"

set SASLOGDIR=%sasUsageDir%\ApmRunLogs
set SASCMD=%sasInstallDir%\sas
set SASOPTS=-fullstimer -noterminal -batch -errorabend -nosplash -icon -noxwait 

set SOURCE=create_artifact_tables.sas
set SASPGM=%sasUsageDir%\Utilities\%SOURCE%

if exist "%SASPGM%" ( 
   echo NOTE: Executing %SASPGM% 
   "%SASCMD%" %SASOPTS% -sysin "%saspgm%" -config "%sasUsageDir%\sasv9.cfg" -log "%SASLOGDIR%\%SOURCE%.log"
   if  "%errorlevel%" EQU "0" (ren "%SASPGM%" %SOURCE%.done)
   )

set SOURCE=runArtifactAnalyzer.sas
set SASPGM=%sasUsageDir%\SASEnvironment\SASCode\Jobs\%SOURCE%

for %%f in ("%sasusagedir%\setEnvLogs*.sas") do call :processfile %%~nf%%~xf
goto:endbatch

:processfile:
   echo NOTE: Executing %SOURCE% with environment file %1
   "%SASCMD%" %SASOPTS% -sysparm %1 -sysin "%saspgm%" -config "%sasUsageDir%\sasv9.cfg" -log "%SASLOGDIR%\%SOURCE%_%1.log"
   echo %SASPGM% with environment file %1 completed with rc %ERRORLEVEL%. 
   goto :eof 
   
:endbatch
echo Note: Done with Reading Logs
exit /b 0
