@echo off
::
::  Copyright (c) 2011, SAS Institute Inc. 
::  Unpublished - All Rights Reserved 
:: 
:: 
::  runSASReports.bat - Usage Measurement Report Launch Program
::    Process the artifacts libraries created in readSASLogs.bat 
::      

:: Source Environment Variables
call ".\setEnvLogs.bat"

cd "%sasUsageDir%"

set SASLOGDIR=%sasUsageDir%\ApmRunLogs
set SASCMD=%sasInstallDir%\sas
::
:: When using the 9.3 PROC IOMOPERATE when attempting to connect to a server that is down or not configured, SAS will
:: set an ERROR code.  Therefore, -noerrorabend and -nosyntaxcheck are required to continue processing the 
:: remainder of the servers.
::
set SASOPTS=-fullstimer -noterminal -batch -noerrorabend -nosyntaxcheck -nosplash -icon -noxwait -memsize 1g
set SOURCE=bi_server_status.sas
set SASPGM=%sasUsageDir%\SASEnvironment\SASCode\Jobs\%SOURCE%

echo %Time% NOTE: Executing Usage Report %SOURCE%
"%SASCMD%" %SASOPTS% -sysin "%SASPGM%" -config "sasv9.cfg" -log "%SASLOGDIR%\%SOURCE%.log" -autoexec "%sasUsageDir%\autoexec.sas"
::
:: Exit on errors
::
if  "%errorlevel%" GTR "1" goto errstep1
if  "%errorlevel%" LEQ "1" goto endbatch
:: return code gt 0, exit

:errstep1
echo ERRORLEVEL %errorlevel% failure in %SASPGM%
set ReturnCode=%errorlevel%
xcopy /y /e /s "%sasUsageDir%\Html\Status" "%HTTPServerPath%"
exit /b %ReturnCode%

:endbatch
echo %Time% Note: Done with server status.
xcopy /y /e /s "%sasUsageDir%\Html\Status" "%HTTPServerPath%"
exit /b 0
